.boy_blue {color: #127de0;}
.girl_pink {color:#f000f0;}
.black_color {color:#000;}
.msg_mark{display:inline;top:3px;position:relative}.seen_mark{color:#34b7f1}.emo_content,
.emo_content_priv {
  background: white;
}
#emo_item {
    padding: 0;
    position: absolute;
    font-size: 20px;
    top: 6px;
    right: 10px;
    cursor: pointer;
    width: auto;
    height: 26px;
    background: initial;
}
#content {
    padding-right: 40px;
}
#main_input_box {
	width: auto;
    height: 100%;
    text-align: center;
    font-size: 24px;
    display: table-cell;
    vertical-align: middle;
    position: relative;
}

.main_item {
    width: 38px;
    height: 100%;
    text-align: center;
    font-size: 18px;
    z-index: 1;
    display: table-cell;
    vertical-align: middle;
    position: relative;
}
.emoji {
    color: initial;
}
#emo_item_priv {
    position: absolute;
    font-size: 20px;
    top: 13px;
    right: 55px;
    cursor: pointer;
    background: initial;
}
#message_content {
    padding-right: 32px;
}
.open_player {
  background: #e40404;
  padding: 2px 6px;
  position: relative;
  right: auto;
  top: auto;
  cursor: pointer;
  opacity: 1;
  border-radius: 5px;
  width: auto;
  display: inline-block;
}

.open_player i.fa {
  font-size: 11px;
}

#hide_stream {
  float: right;
  padding: 3px 10px;
  font-size: 24px !important;
  color: #fff;
}

#wrap_stream.hide {
  height: 0 !important;
  transition: all ease 0.3s;
  padding: 0;
}

video.hide {
  height: 0 !important;
  transition: all ease 0.3s;
  padding: 0;
}

#wrap_stream {
  width: 640px;
  height: 383px;
  padding: 0;
  overflow: hidden;
  border-top: none;
  transition: all ease 0.3s;
  background: #151515;
}

#close_stream {
  float: right;
  padding: 0;
  font-size: 19px !important;
  color: #ff4d4d;
}

#hide_stream {
  float: right;
  padding: 0;
  margin-right: 20px;
  font-size: 19px !important;
  color: #ffffff;
}

#stream_header {
  width: 100%;
  height: 47px;
  background: #191919;
  padding: 15px;
  border-bottom: 1px solid #090909 !important;
  cursor: move;
}

#container_stream {
  -webkit-user-drag: auto;
  background: #090909;
  top: 25%;
  border-radius: 7px;
  overflow: hidden;
}

#wrap_stream.hide {
  height: 0 !important;
  transition: all ease 0.3s;
  padding: 0;
}

@media screen and (max-width: 768px) {
  #container_stream {
    left: 18px;
    right: 18px;
    top: 6%;
    margin-top: 0 !important;
    margin-left: 0 !important;
  }
  #stream_header {
    width: 100%;
    height: 36px;
    background: #191919;
    padding: 9px;
    border-bottom: 1px solid #090909 !important;
    cursor: move;
  }
  #wrap_stream {
    width: auto;
    height: 200px;
    padding: 0;
    overflow: hidden;
    border-top: none;
    transition: all ease 0.3s;
    background: #151515;
  }
  .open_player.hide_mobile {
    display: inline-block !important;
  }
}
#youtube_av {
  width: 30px;
  height: 30px;
  display: block;
  margin: 0 auto;
  border-radius: 50%;
}
#yt_tog {
  position: relative;
}
.crheight {
  height: 100%;  
}

.prheight {
   height: 100%; 
}
.main_border {
  position: absolute;
  height: 36px;
  top: -7px;
  left: -3px;
}
.over {
  position: absolute;
  z-index: 1;
  right:-1px;
}
.over2 {
  position: absolute;
  z-index: 1;
  left: -4px;
}
.overlist {
  position: absolute;
  z-index: 1;
  left: 0;
}
.ch_fr_bg {
  width: 38px;
  top: -8px;
}
.over4 {
  position: absolute;
  z-index: 1;
  left: -5px;
}
.list_fr_bg {
  width: 46px;
  top: -11px;
}
.over5 {
  position: absolute;
  z-index: 1;
  left: 0;
  pointer-events: none;
}
.ul_fr_bg {
  width: 46px;
  top: -6px;
}
.pro_fr_bg {
  width: 46px;
  top: -11px;
}
.avatr_profile_frame {
  right: -3px;
}
.over3 {
  position: absolute;
  z-index: 1;
  right: -14px;
  pointer-events: none;
  width: 160px;
  top: -18px;
}

@media screen and (max-width: 640px) {
  .over3 {
    max-width: 125px;
  }
}
.toplist_avatar2 {
  display: table-cell;
  vertical-align: middle;
  text-align: center;
  position: relative;
  width: 48px;
  height: 48px;
}
.topav_circle {
  border-radius: 50%;
  display: block;
  width: 36px;
  height: 36px;
}
.under {
  position: absolute;
}
.ul_fr_av {
  left: 5px;
  top: 5px;
}
.post_avatar_frame {
  display: table-cell;
  vertical-align: center;
  width: 44px;
  height: 44px;
  position: relative;
}
.post_avatar img, .post_avatar_frame .under {
  width: 36px;
  height: 36px;
  border-radius: 50%;
  display: block;
  cursor: pointer;
}
.score_lm {
  display: table-cell;
  vertical-align: middle;
  width: 70px;
  text-align: right;
  font-weight: bold;
  padding: 0 5px;
}
.ranking_lm {
  display: table-cell;
  vertical-align: middle;
  width: 30px;
  text-align: center;
  font-weight: bold;
}
.quiz_leaderbox {
  width: 100%;
  max-height: 400px;
  overflow: hidden;
  overflow-y: auto;
}

.over_pro {
  position: absolute;
  z-index: 1;
  left: 0;
  pointer-events: none
}
.profile_avatar_round {
  display: table-cell;
  width: 120px;
  height: 152px;
  vertical-align: bottom;
  position: relative;
  border-radius: 5px;
  overflow: hidden;
}

.flexcenter {
  display: table-cell;
  vertical-align: top;
  text-align: center
}

.chat_frame_avatar {
  display: inline-block;
  position: relative;
  vertical-align: top
}

.chat_frame_avatar_inner {
  height: 28px;
  width: 28px;
  border-radius: 50%;
  display: block;
  overflow: hidden;
  cursor: pointer
}

.chat_frame_avatar_inner2 {
  height: 30px;
  width: 30px;
  border-radius: 50%;
  display: block;
  overflow: hidden;
  cursor: pointer
}

.user_item_frame_avatar {
  display: table-cell;
  vertical-align: middle;
  width: 60px;
  height: 60px;
  position: relative
}

.user_item_frame_avatar_new {
  display: table-cell;
  vertical-align: middle;
  width: 48px;
  height: 48px;
  position: relative
}

.user_item_frame_inner {
  width: 36px;
  height: 36px;
  border-radius: 50%;
  display: block;
  cursor: pointer
}

.under {
  position: absolute
}

.over {
  position: absolute;
  z-index: 1;
  left: 0;
  top: 0
}

.over2 {
  position: absolute;
  z-index: 1;
  left: -4px;
  pointer-events: none
}

.toplist_avatar {
  display: table-cell;
  vertical-align: middle;
  text-align: center;
  position: relative;
  width: 70px;
  height: 70px
}

.toplist_avatar2 {
  display: table-cell;
  vertical-align: middle;
  text-align: center;
  position: relative;
  width: 48px;
  height: 48px
}

.topav_default {
  margin-left: 15px
}

.topav_circle {
  border-radius: 50%;
  display: block;
  width: 36px;
  height: 36px
}

.toplist_name {
  display: table-cell;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  vertical-align: middle;
  padding: 0 5px
}
#main_input_extra, #priv_input_extra, #private_emo, #main_emo {
  background:#fff !important;
}
.nameWave {
    background-size: 200% auto;
    background-position: 0 0;
    -webkit-animation: nameWave 3s linear infinite normal;
    animation: nameWave 1.5s linear infinitel;
}

@keyframes nameWave {
    to {
        background-position: 200% center;
    }
}
.selectboxit-btn {
    display: flex!important;
    align-items: center!important;
    justify-content: center!important;
}
::-webkit-scrollbar {
    width: 0.4em;
}

::-webkit-scrollbar-thumb {
    background: #d3d3d3;
}
.adnoyer_log {
    padding: 10px;
    background-color: #add8e6;
}
.jconfirm-holder {
	max-width: 300px;
    margin: 0 auto;
}

.absolute_center {
	margin: auto;
	position: absolute;
	top: 0;
	left: 0;
	bottom: 0;
	right: 0;
	max-width: 350px;
}
.prev_right_btn {
	height: 40px;
	width: 40px;
	right: 10px;
	bottom: 5px;
	position: absolute;
	font-size: 16px
}

.prev_left_btn {
	height: 40px;
	width: 40px;
	left: 10px;
	bottom: 5px;
	position: absolute;
	font-size: 16px
}	 
.chat_video_container_old {
    width: 173px;
    max-width: 100%!important;
    position: relative;
    margin-top: 5px;
}
.chat_video {
    position: relative;
    padding-bottom: 56.25%;
    height: 0;
    overflow: hidden;
    clear: both;
    z-index: 10;
    border-radius: 5px;
}
.codytube_play {
  width: 50px;
  height: 50px;
  display: block;
  top: 50%;
  left: 50%;
  position: absolute;
  transform: translate(-50%, -50%);
}
.codytube_video { 
  width: 200px;
  height: 113px;
  position: relative;
  margin-top: 5px;
  border-radius: 8px;
  overflow: hidden; 
cursor: pointer;
}
.codytube_img { 
  height: 113px; 
width: 100%; 
}
.chat_file {
height: 50px;
margin-top: 5px;
cursor: pointer;
display: inline-block;
}

/* your custom style here */

.avmmenu img {
  width: 40px;
  height: 40px;
  border-radius: 8px;
  display: block;
}
.cust_pro img {
  height: 11px;
  width: auto;
}
.cust_pro {
 font-size: 11px;
 color: #9e9e9e;
}
.status_mun{
width: 40px;
}
.avmmenu {
  width: 40px;
}
.float_ctop {
  border-bottom: 1px solid rgb(0,0,0,0.08);
}
.float_top, .float_ctop {
  display: table;
  padding: 5px;
  height: 30px;
  table-layout: auto;
  width: 100%;
  max-width: 100%;
  cursor: pointer;
background: #f7f7f7;
  color: black;
  font-size: 12px;
}
.bborde { border-bottom:1px solid rgb(0,0,0,0.08); }
.editstatus {width:36px;}
.stat_icon {width:18px;height:18px;border-radius:50%;background:#fff;display:block;margin:0 auto;}
.float_content { background-color: white; overflow-y:auto; padding:5px; }
.fmenu_item { padding:8px 10px; display:table; table-layout:fixed; width:100%; cursor:pointer; font-size:14px; text-shadow:none; border-radius:5px; }
.fmenu_icon { width:30px; text-align:center; display:table-cell; vertical-align:middle; font-size:16px; }
.fmenu_text { display:table-cell; vertical-align:middle; text-overflow:ellipsis; white-space:nowrap; overflow:hidden; text-align:initial; padding:0 5px; }

.gold_icon {
  width: 18px;
}
.gold_text {
  font-size: 11px;
font-family: "Cairo", sans-serif;
}
.gold_icon img {
  width: 18px;
  height: 18px;
  display: block;
}
.menuname {
  width: 65px;
  font-size: 16px;
  font-weight: bold;
font-family: "Cairo", sans-serif;
}
.list_pro {
  font-size: 10px;
  font-weight: 700;
}
.notify_item{
    background: #fbfbfb;
  box-shadow: inset 0 0 3px 1px black;
}
.valid_public {
  border-radius: 12px;
  width: 18px;
  height: 18px;
  margin-bottom: -2px;
  margin-right: 6px;
  margin-top: 5px;
  box-shadow: 0 0 2px 1px #2244f5;
}
.status_user_list  {display:table-cell;vertical-align:middle;text-align:center;width:28px;}
.chat_video_container {
  position: relative;
  margin-top: 0px;
  border-radius: 8px;
  overflow: hidden;
}
#mstream_img {
  display: block;
  margin: 0 auto;
  width: 30px;
  height: 30px;
  border-radius: 50%;
}
.streamhide { display:none !important; }
.streamout { left:-10000px !important; }
#move_video, #move_audio {
  cursor: pointer;
}
.blisting {
  border-bottom: 1px solid rgb(0,0,0,0.08);
}
.blist, .blisting {
  border-radius: 0px;
}
.proitem {
  padding: 12px;
}
.prodata {
  width: 50%;
}
.proicon {
  width: 24px;
}

.float_menu{right:1px;z-index:205;width:320px;top:47px;overflow:auto}
.menu_spinner_wrap { padding:15px; text-align:center; background: white;}
.menu_spinner { font-size:30px; }
.left_bar_item {
    display: table-cell;
    vertical-align: middle;
    width: 40px;
    text-align: center;
    cursor: pointer;
}


/* room option css */

.room_element {
    direction: ltr;
    display: flex;
    flex-direction: row;
    align-items: center;
    width: calc(33.33% - 16px);
    justify-content: flex-start;
    border-radius: 10px;
    padding: 10px;
    margin: 4px;
    transition: 0.3s;
    color: #202020;
    border: 1px solid #3b70bc;
    min-height: 120px;
    box-shadow: 0 0 1px 1px #ddd;
    background: linear-gradient(to bottom,#dee6ed 19%,#c8d5e0 22%,#ffffff 100%);
}

.room_element:hover {
    background: linear-gradient(to bottom,#e9f0f5 19%,#d4e0eb 22%,#ffffff 100%);
    color: #202020;
    font-family: "Cairo", sans-serif;
    border: 1px solid #888
}

.room_thumb {
  flex: 0 0 60px;
  height: 70px;
  margin-right: 10px; 
}

.room_thumb img {
  width: 70px;
  height: 70px;
  border: 1px solid #3b70bc;
  object-fit: cover;
  border-radius: 12px;
}

.room_info {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: space-between; 
}

.room_top {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  margin-bottom: 6px;
}

.room_name {
    font-weight: bold;
    font-size: 15px;
    margin-bottom: 4px;
    color: #871e1e;
}
.room_desc {
    font-size: 13px;
    color: #00f;
    line-height: 1.3;
}
.room_bottom {
  direction: rtl;
  margin-top: 8px;
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  padding-top: 4px; 
}

.room_icons {
  display: flex;
  align-items: center;
  order: 1; 
  gap: 6px;
}

.room_icons img {
    width: 18px;
    margin: 0;
    padding: 0;
    display: block;
    border-radius: 50%;
}

.room_count img {
    width: 18px;
    margin-right: 4px;
    border-radius: 50%;
}
.room_count {
  font-size: 14px;
  color: red;
  display: flex;
  align-items: center;
  gap: 4px;
  order: 0; 
}
.hpad10 img { 
    width: 20px;
    height: 20px;
    vertical-align: middle;
    margin-right: 4px;
    border-radius: 50%;
}
.in_room_count img {
    width: 20px;
    height: 20px;
    vertical-align: middle;
    margin-right: 4px;
    border-radius: 50%;
}


@media (max-width: 991px) {
  .room_element {
    width: calc(50% - 10px);
  }
}
@media (max-width: 575px) {
  .room_element {
    width: calc(100% - 10px);
  }
}

.in_room_element {
    box-shadow: 0 0 1px 1px #ddd;
    background: linear-gradient(to bottom, #cadff1 19%, #bfd3ef 22%, #ffffff 100%);
    border-radius: 6px;
    margin-bottom: 6px;
    padding: 5px;
    transition: background 0.3s, box-shadow 0.3s;
    color: #202020;
    border: 1px solid #3b70bc;
}

.in_room_element:hover {
    background: linear-gradient(to bottom,#e9f0f5 19%,#d4e0eb 22%,#ffffff 100%);
    color: #202020;
    font-family: "Cairo", sans-serif;
    border: 1px solid #888
}

.in_room_name {
    color: #0a5197;
    font-weight: bold;
}

.in_room_name:hover {
    color: #c0392b;
    font-weight: bold;
}

.in_room_icons {
    display: flex;
    align-items: center;
    order: 1;
    gap: 2px;
}

.in_room_icons img {
    width: 18px;
    margin-top: 10px;
    padding: 0;
    display: block;
    border-radius: 50%;
    vertical-align: middle;
}

html, body {
    height: 100%;
    margin: 0;
    padding: 0;
    overflow-y: auto;
}

#container_user {
    max-height: 100%;
    overflow-y: auto;
    padding-bottom: 50px;
}

.left_item {
    display: table;
    width: 100%;
    table-layout: fixed;
    padding: 8px 2px;
    cursor: pointer;
    color: #000;
    border-radius: 5px;
    background: linear-gradient(-45deg, #ee7752, #ffc033, #ff7cd7, #4691db);
    margin-bottom: 5px;
    animation: gradient 7s ease infinite;
    background-size: 400% 400%;
}

.sub_menu_icon, .menui, .menuo, .menup {
    color: #ff0000;
}

.like_icon, .comment_icon {
    width: 40px;
    height: 40px;
    display: inline-block;
    vertical-align: middle;
    margin-top: -2px;
}

.sub_list_item, .sub_item, .sub_half_item, .reply_item, .ulist_item, .sub_list {
    background: #ffe7c6;
    color: #cd0909;
    margin-bottom: 10px;
    border-radius: 35px 0;
    border: 2px solid #4342df;
}

.post_title {
    display: table;
    table-layout: fixed;
    width: 100%;
    line-height: 1em;
    margin-top: 20px;
    background: #abc6e9;
    border-radius: 8px;
}

.post_content {
    text-align: center;
    display: table;
    table-layout: fixed;
    width: 100%;
    padding: 10px 0;
    word-wrap: break-word;
    font-size: 15px;
    font-weight: bold;
    color: #2851cb;
    margin-top: 20px;
}

.like_count {
    display: inline-block;
    padding: 5px;
    border-radius: 30px;
    background-color: white;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.15);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    margin: 5px;
    cursor: pointer;
}

.like_count:hover {
    transform: translateY(-10px);
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.25);
}

.like_icon {
    width: 30px;
    height: 30px;
    display: inline-block;
    border-radius: 50%;
    background-color: transparent;
}

.user-banner-block {
    display: inline-flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    line-height: 1.2;
    vertical-align: middle;
    margin-top: -5px;
}

.banner-img {
    width: 100px;
    height: 15px;
    margin-bottom: 3px;
}

.user-name-wrapper {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  font-family: 'Cairo', sans-serif;
  font-size: 14px;
  font-weight: 700;
  color: #fff;
}

.user-banner-list {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  line-height: 1.2;
}

.input_text, .logs_date, .pdate, .ptdate, .cclear, .cdate {
    color: #1d6a77;
}

.wlike_icon {
    width: 30px;
    height: 30px;
    vertical-align: middle;
}

@keyframes rainbowText {
  0% { background-position: 0% 50%; }
  50% { background-position: 100% 50%; }
  100% { background-position: 0% 50%; }
}

.animated-name, .animated-gift {
  font-weight: bold;
  background: linear-gradient(270deg, #ff0080, #7928ca, #2afadf, #ff8c00, #ff0080);
  background-size: 800% 800%;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  animation: rainbowText 4s ease infinite;
}

@keyframes gradientBackground {
  0% { background-position: 0% 50%; }
  50% { background-position: 100% 50%; }
  100% { background-position: 0% 50%; }
}

.my_notice {
    color: #fff;
    background: linear-gradient(270deg, #2218bf, #970462, #5820b9, #6444ad, #00e6ac, #6633ff);
    background-size: 800% 800%;
    animation: gradientBackground 10s ease infinite;
    padding: 4px 12px;
    display: inline-block;
    line-height: 1em;
    margin-top: 2px;
    border-radius: 25px;
    font-weight: bold;
    box-shadow: 0 0 10px rgba(255, 182, 193, 0.6);
    transition: background 0.5s ease;
}

@keyframes colorflow {
	0%   { color: #ff4d4d; }   /* أحمر فاتح */
	25%  { color: #00ccff; }   /* أزرق سماوي */
	50%  { color: #ff66ff; }   /* فوشيا */
	75%  { color: #ffff66; }   /* أصفر فاتح */
	100% { color: #ff4d4d; }
}

.colorful-animated {
	animation: colorflow 2s infinite;
	font-weight: bold;
}

.chat_image {
    vertical-align: top;
    max-width: 100%;
    height: 120px;
    width: auto;
    margin: 5px 0 0 0;
    border-radius: 5px;
}

.cdate {
    display: block;
    width: 65px;
    font-size: 10px;
    text-align: left;
    position: absolute;
    left: 0;
    top: 20px;
}

.cclear, .spclear {
    display: table-cell;
    width: 24px;
    font-size: 10px;
    vertical-align: top;
    text-align: center;
    cursor: pointer;
}

